package io.gitlab.jfronny.respackopts.model;

import io.gitlab.jfronny.commons.serialize.gson.api.*;
import io.gitlab.jfronny.gson.annotations.*;
import io.gitlab.jfronny.muscript.compiler.expr.*;

import java.util.*;

public class FileRpo {
    @SerializedName(value = "condition", alternate = {"conditions"})
    public Condition condition;
    @SerializedName(value = "fallback", alternate = {"fallbacks"})
    public Set<String> fallbacks;
    @SerializedName(value = "expansion", alternate = {"expansions"})
    public Map<String, StringExpr> expansions;

    @Ignore
    public String path;
}
